Bug 51876 - Functionnality to search in Samplers TreeView
Functionnality to search in Samplers TreeView
Status: RESOLVED FIXED
Product: JMeter
Classification: Unclassified
Component: Main
2.5
All All
: P2 enhancement (vote)
: ---
Assigned To: JMeter issues mailing list
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-09-22 21:27 UTC by Philippe Mouawad
Modified: 2011-11-04 08:36 UTC (History)
1 user (show)



Attachments
First Implementation (11.86 KB, patch)
2011-09-28 10:42 UTC, Philippe Mouawad
Details | Diff
Search Popup (164.03 KB, image/png)
2011-09-28 10:45 UTC, Philippe Mouawad
Details
Result of a search (142.32 KB, image/png)
2011-09-28 10:45 UTC, Philippe Mouawad
Details
Search Menu (155.52 KB, image/png)
2011-09-28 10:46 UTC, Philippe Mouawad
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Philippe Mouawad 2011-09-22 21:27:57 UTC
Hello,
It would be very useful during Test creation to have a functionnality to search in the TreeView to Samplers that:
- Contains some text in query or in query parameters
- Contains some text in response
- Contain a certains HTTP Header Manager with some content type (to search for all GWT queries for example, or all text/png queries)
- ....

Node that fill these conditions would be highlighted or background color changed.

Regards
Philippe
Comment 1 Philippe Mouawad 2011-09-28 10:42:56 UTC
Created attachment 27621 [details]
First Implementation

Hello,
I have implemented the start of this feature.
For now it only allows searching HTTPSampler but it is supposed to be extensible to any sampler by making it implement Searchable.

I also plan to enhance search dialog and search features.
But I would like to have your first comments on it and critics.

It would be great if it can be integrated in next release because I find it useful.

Regards
Philippe Mouawad
Comment 2 Philippe Mouawad 2011-09-28 10:45:05 UTC
Created attachment 27622 [details]
Search Popup

ScreenShot of Search dialog
Comment 3 Philippe Mouawad 2011-09-28 10:45:40 UTC
Created attachment 27623 [details]
Result of a search

Result of search, nodes have a red border.
Comment 4 Philippe Mouawad 2011-09-28 10:46:06 UTC
Created attachment 27624 [details]
Search Menu
Comment 5 Sebb 2011-10-10 23:17:48 UTC
The new Searchable.java file needs the standard AL header, but otherwise patch looks OK.

Also need to update the docs - component_reference.xml
Comment 6 Philippe Mouawad 2011-10-11 17:33:55 UTC
Date: Tue Oct 11 17:32:43 2011
New Revision: 1181906

URL: http://svn.apache.org/viewvc?rev=1181906&view=rev
Log:
Bug 51876 - Functionnality to search in Samplers TreeView

Added:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/Searchable.java   (with props)
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeCommand.java   (with props)
Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/action/ActionNames.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/tree/JMeterCellRenderer.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/tree/JMeterTreeNode.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterMenuBar.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
   jakarta/jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java
   jakarta/jmeter/trunk/xdocs/changes.xml
   jakarta/jmeter/trunk/xdocs/usermanual/hints_and_tips.xml
Comment 7 Philippe Mouawad 2011-10-11 19:47:46 UTC
New Revision: 1182051

URL: http://svn.apache.org/viewvc?rev=1182051&view=rev
Log:
Bug 51876 - Functionnality to search in Samplers TreeView

Highlight all nodes up to ThreadGroup node to make search result visible if nodes are not expanded

Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeCommand.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/tree/JMeterTreeNode.java
Comment 8 Philippe Mouawad 2011-10-11 20:04:12 UTC
Date: Tue Oct 11 20:01:55 2011
New Revision: 1182059

URL: http://svn.apache.org/viewvc?rev=1182059&view=rev
Log:
Bug 51876 - Functionnality to search in Samplers TreeView

Factored in AbstractTestElement method testField.
Implemented search for BeanShellPostProcessor, RegexExtractor, XPathExtractor

Modified:
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/extractor/BeanShellPostProcessor.java
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/extractor/RegexExtractor.java
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/extractor/XPathExtractor.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/testelement/AbstractTestElement.java
   jakarta/jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java
Comment 9 Philippe Mouawad 2011-10-12 10:42:21 UTC
Date: Wed Oct 12 10:40:53 2011
New Revision: 1182305

URL: http://svn.apache.org/viewvc?rev=1182305&view=rev
Log:
Bug 51876 - Functionnality to search in Samplers TreeView
Fixed issue with empty search and no reset of previous search results

Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeCommand.java
Comment 10 Philippe Mouawad 2011-10-12 17:20:46 UTC
Date: Wed Oct 12 17:14:12 2011
New Revision: 1182483

URL: http://svn.apache.org/viewvc?rev=1182483&view=rev
Log:
Bug 51876 - Functionnality to search in Samplers TreeView

Enable search on TransactionController

Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/control/TransactionController.java
Comment 11 Philippe Mouawad 2011-10-12 17:23:14 UTC
Date: Wed Oct 12 17:22:07 2011
New Revision: 1182485

URL: http://svn.apache.org/viewvc?rev=1182485&view=rev
Log:
Bug 51876 - Functionnality to search in Samplers TreeView

Added reset search
Used reset search in search
Handled cancelation of search

Added:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/action/ResetSearchCommand.java   (with props)
Modified:
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/action/ActionNames.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeCommand.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/util/JMeterMenuBar.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/resources/messages_fr.properties
Comment 12 Philippe Mouawad 2011-10-13 17:26:18 UTC
Date: Thu Oct 13 17:23:58 2011
New Revision: 1182997

URL: http://svn.apache.org/viewvc?rev=1182997&view=rev
Log:
Bug 51876 - Functionnality to search in Samplers TreeView

Implemented search in AbstractTestElement and refactored already implemented subclasses to use ancestor method.
Added search features on additionnal configuration elements to:
- BeanShellTestElement
- AbstractScopedElement
- CSVDataSet

Also enabled search up to Test Plan node.

Modified:
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/config/CSVDataSet.java
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/extractor/BeanShellPostProcessor.java
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/extractor/RegexExtractor.java
   jakarta/jmeter/trunk/src/components/org/apache/jmeter/extractor/XPathExtractor.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/control/TransactionController.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/gui/tree/JMeterTreeNode.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/testelement/AbstractScopedTestElement.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/testelement/AbstractTestElement.java
   jakarta/jmeter/trunk/src/core/org/apache/jmeter/util/BeanShellTestElement.java
   jakarta/jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java
Comment 13 Philippe Mouawad 2011-11-04 08:36:49 UTC
Date: Fri Nov  4 08:34:07 2011
New Revision: 1197425

URL: http://svn.apache.org/viewvc?rev=1197425&view=rev
Log:
Bug 51876 - Functionnality to search in Samplers TreeView
Changed implementation to:
- Add ability to search with regexp
- Add ability to search in case sensitive and insentive modes
- Plug additional search implementations

Added:
   jmeter/trunk/src/core/org/apache/jmeter/gui/action/RawTextSearcher.java   (with props)
   jmeter/trunk/src/core/org/apache/jmeter/gui/action/RegexpSearcher.java   (with props)
   jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeDialog.java   (with props)
   jmeter/trunk/src/core/org/apache/jmeter/gui/action/Searcher.java   (with props)
Modified:
   jmeter/trunk/src/components/org/apache/jmeter/config/CSVDataSet.java
   jmeter/trunk/src/components/org/apache/jmeter/extractor/RegexExtractor.java
   jmeter/trunk/src/components/org/apache/jmeter/extractor/XPathExtractor.java
   jmeter/trunk/src/core/org/apache/jmeter/gui/Searchable.java
   jmeter/trunk/src/core/org/apache/jmeter/gui/action/SearchTreeCommand.java
   jmeter/trunk/src/core/org/apache/jmeter/resources/messages.properties
   jmeter/trunk/src/core/org/apache/jmeter/testelement/AbstractScopedTestElement.java
   jmeter/trunk/src/core/org/apache/jmeter/testelement/AbstractTestElement.java
   jmeter/trunk/src/core/org/apache/jmeter/util/BeanShellTestElement.java
   jmeter/trunk/src/protocol/http/org/apache/jmeter/protocol/http/sampler/HTTPSamplerBase.java